Page MenuHomePhabricator

heptapod-ci: automatically refresh existing phabricator Diff on push
ClosedPublic

Authored by marmoute on Nov 28 2020, 9:15 PM.

Details

Summary

If a changeset have been submitted to Phabricator and a new version is pushed to
heptapod, we should refresh the state on Phabricator. If we do not do this, they
are a risk of an older version being applied from Phabricator. In this situation
content-divergence will be (rightfully) detected by evolution.

We only refresh the Diff if the test pass, to avoid updating Phabricator with
broken content.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Nov 28 2020, 9:15 PM
mharbison72 added inline comments.
contrib/heptapod-ci.yml
121

I don't see this script in the hg repo, or is this grabbed from somewhere else?

marmoute planned changes to this revision.Nov 29 2020, 6:31 AM

I need this diff to exist to testing. But I have no reason to think it is ready yet.

baymax updated this revision to Diff 23832.Nov 29 2020, 9:09 AM
marmoute updated this revision to Diff 23836.Nov 29 2020, 9:45 AM
baymax updated this revision to Diff 23844.Nov 29 2020, 10:52 AM
marmoute added a comment.EditedNov 29 2020, 10:56 AM

I love it when a plan comes together !

contrib/heptapod-ci.yml
121

It was in the previous revisions that did not got sent from my laptop.

mharbison72 accepted this revision.Dec 1 2020, 10:58 PM

Queued, thanks. I assume D9459 is still not ready/to be abandoned, based on the comment?

This revision is now accepted and ready to land.Dec 1 2020, 10:58 PM